[Mesa-dev] [PATCH v2 20/23] glcpp/tests/glcpp-test: error out if we cannot find any tests

Emil Velikov emil.l.velikov at gmail.com
Fri Mar 17 13:19:46 UTC 2017


From: Emil Velikov <emil.velikov at collabora.com>

Signed-off-by: Emil Velikov <emil.velikov at collabora.com>
---
 src/compiler/glsl/glcpp/tests/glcpp-test.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/src/compiler/glsl/glcpp/tests/glcpp-test.sh b/src/compiler/glsl/glcpp/tests/glcpp-test.sh
index 474e8ef5307..d98c408f739 100755
--- a/src/compiler/glsl/glcpp/tests/glcpp-test.sh
+++ b/src/compiler/glsl/glcpp/tests/glcpp-test.sh
@@ -85,6 +85,11 @@ for test in $testdir/*.c; do
     fi
 done
 
+if [ $total -eq 0 ]; then
+    echo "Could not find any tests."
+    exit 1
+fi
+
 echo ""
 echo "$pass/$total tests returned correct results"
 echo ""
-- 
2.11.1



More information about the mesa-dev mailing list